
Summary: KDE Photo Album 
Name:	 kphotoalbum
Version: 3.0.2
Release: 1%{?dist}

License: GPL
Group:   Applications/Multimedia 
URL:	 http://kphotoalbum.org/
Source0:  http://kphotoalbum.org/download/kphotoalbum-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: kimdaba < %{version}
#Provides:  kimdaba = %{version}

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libkipi-devel 
BuildRequires: qt-devel
BuildRequires: kdelibs-devel
BuildRequires: exiv2-devel

## Optional, not strictly required.
#Requires(hint): kipi-plugins

%description
A photo almbum tool.  focuses on three key points:
  * It must be easy to describe a number of images at a time. 
  * It must be easy to search for images. 
  * It must be easy to browse and View the images.

Can (optionally) use kipi-plugins


%prep
%setup -q -n %{name}-%{version}%{?beta:-%{beta}}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --disable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop ||:


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/apps/kphotoalbum/
%{_datadir}/applications/kde/*.desktop
%config %{_datadir}/config/*rc
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop


%changelog
* Thu Apr 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.2-1
- kphotoalbum-3.0.2

* Wed Apr 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0.1-1
- kphotoalbum-3.0.1

* Sun Dec 31 2006 Rex Dieter <rdieter[AT]fedoraproject.org> 3.0-1
- kphotoalbum-3.0

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-7
- BR: exiv2-devel >= 0.12

* Wed Oct 04 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-6
- respin
- drop deprecated Provides: kimdaba

* Tue Sep 19 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-5
- BR: exiv2-devel >= 0.11

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-4
- fc6 respin

* Sat Jun 03 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-3
- respin against exiv2-0.10

* Thu May 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-2
- (temporarily) add Provides: kimdaba = %%version

* Tue May 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 2.2-1
- renamed kphotoalbum

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-6
- relative symlinks
- simplify configure

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-4
- --add-category Application

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-3
- %%doc: COPYING
- Req(post,postun): update-desktop-database
- gtk-update-icon-cache
- remove unused crud (kde-redhat bits)
- Group: Applications/Multimedia
- drop %%{?debug_package} conditionals

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-2
- icon/mime spec

* Tue May 3 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-1
- real-deal 2.1 release (including -i18n bits)

* Mon May 2 2005 Rex Dieter <rexdieter[AT]users.sf.net> 2.1-0
- 2.1 (pre) release

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 2.0-0.fdr.1
- 2.0

* Fri Feb 27 2004 Rex Dieter <rexdieter at sf.net> 0:1.1-0.fdr.0
- first try

